Subject: Re: [RFC NET 00/02]: Secondary unicast address support

From: Patrick McHardy <[email-masked]>
Date: Fri, 22 Jun 2007 13:36:32 +0200

Ben Greear wrote:
> Patrick McHardy wrote:
> 
>> Eric W. Biederman wrote:
>>
>>> For the macvlan hash you just use an upper byte.  Is that just a
>>> simple starting place, or do we not need a more complex hash.
>>>   
>>
>>
>> That gave me an idea, since the default addresses are random
>> anyway I'm now using an incrementing counter for the upper byte.
> 
> 
> Is there not a (relatively) easy way to hash the entire 6 bytes?
> 
> I'd prefer to be able to set the MACs to anything I want, without
> worrying about trivially hitting a worst-case hash scenario.

That would only happen if all your addresses have the same high
byte. I can't see a reason why you would want to do this, even
with manually configured addresses its still reasonable to
expect a uniform distribution.